/**
 * =========================================
 * LibFormula : a free Java formula library
 * =========================================
 *
 * Project Info:  http://reporting.pentaho.org/libformula/
 *
 * (C) Copyright 2006-2008, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 *
 * ------------
 * LibFormulaBoot.java
 * ------------
 */
package org.pentaho.reporting.libraries.formula;

import org.pentaho.reporting.libraries.base.boot.AbstractBoot;
import org.pentaho.reporting.libraries.base.config.Configuration;
import org.pentaho.reporting.libraries.base.versioning.ProjectInformation;


/**
 * Creation-Date: 31.10.2006, 12:30:43
 *
 * @author Thomas Morgner
 */
public class LibFormulaBoot extends AbstractBoot
{
  public static final int GLOBAL_SCALE = 40;
  private static LibFormulaBoot instance;

  public static synchronized LibFormulaBoot getInstance()
  {
    if (instance == null)
    {
      instance = new LibFormulaBoot();
    }
    return instance;
  }

  private LibFormulaBoot()
  {
  }

  protected Configuration loadConfiguration()
  {
    return createDefaultHierarchicalConfiguration
            ("/org/pentaho/reporting/libraries/formula/libformula.properties",
             "/libformula.properties", true, LibFormulaBoot.class);
  }

  protected void performBoot()
  {
  }

  protected ProjectInformation getProjectInfo()
  {
    return LibFormulaInfo.getInstance();
  }
}
