/**
 * =========================================
 * LibFormula : a free Java formula library
 * =========================================
 *
 * Project Info:  http://reporting.pentaho.org/libformula/
 *
 * (C) Copyright 2006-2007, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 *
 * ------------
 * $Id: TimeFunctionTest.java 7205 2008-12-11 18:20:27Z tmorgner $
 * ------------
 * (C) Copyright 2006-2007, by Pentaho Corporation.
 */
package org.pentaho.reporting.libraries.formula.function.datetime;

import java.math.BigDecimal;

import org.pentaho.reporting.libraries.formula.FormulaTestBase;

/**
 * @author Cedric Pronzato
 */
public class TimeFunctionTest extends FormulaTestBase
{
  public void testDefault() throws Exception
  {
    runDefaultTest();
  }


  public Object[][] createDataTest()
  {
    return new Object[][]
        {
            {"0.9999884259259259259259259259259259259*27", new BigDecimal("26.9996875000000000000")},
            { "TIME(0;0;0)+0", new BigDecimal(0)},
            {"TIME(23;59;59)*60*60*24", new BigDecimal(86399)},
            /*{ "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
                    { "", Boolean.TRUE },
            */
        };
  }
}
