/**
 * =========================================
 * LibFormula : a free Java formula library
 * =========================================
 *
 * Project Info:  http://reporting.pentaho.org/libformula/
 *
 * (C) Copyright 2006-2007, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 *
 * ------------
 * $Id: ModFunctionTest.java 7205 2008-12-11 18:20:27Z tmorgner $
 * ------------
 * (C) Copyright 2006-2007, by Pentaho Corporation.
 */
package org.pentaho.reporting.libraries.formula.function.math;

import java.math.BigDecimal;

import org.pentaho.reporting.libraries.formula.FormulaTestBase;
import org.pentaho.reporting.libraries.formula.LibFormulaErrorValue;

/**
 * @author Cedric Pronzato
 */
public class ModFunctionTest extends FormulaTestBase
{
  public void testDefault() throws Exception
  {
    runDefaultTest();
  }

  public Object[][] createDataTest()
  {
    return new Object[][]
        {
            {"MOD(10;3)", new BigDecimal(1)},
            {"MOD(2;8)", new BigDecimal(2)},
            {"MOD(5.5;2.5)", new BigDecimal(0.5)},
            {"MOD(-2;3)", new BigDecimal(1)},
            {"MOD(2;-3)", new BigDecimal(-1)},
            {"MOD(-2;-3)", new BigDecimal(-2)},
            {"MOD(10;0)", LibFormulaErrorValue.ERROR_ARITHMETIC_VALUE},

            // custom tests
            {"MOD(40;50)", new BigDecimal(40)},
            {"MOD(-40;50)", new BigDecimal(10)},
            {"MOD(40;-50)", new BigDecimal(-10)},
            {"MOD(-40;-50)", new BigDecimal(-40)},
        };
  }


}