/**
 * =========================================
 * LibFormula : a free Java formula library
 * =========================================
 *
 * Project Info:  http://reporting.pentaho.org/libformula/
 *
 * (C) Copyright 2006-2007, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 *
 * ------------
 * $Id: OddFunctionTest.java 7205 2008-12-11 18:20:27Z tmorgner $
 * ------------
 * (C) Copyright 2006-2007, by Pentaho Corporation.
 */
package org.pentaho.reporting.libraries.formula.function.math;

import java.math.BigDecimal;

import org.pentaho.reporting.libraries.formula.FormulaTestBase;

/**
 * @author Cedric Pronzato
 */
public class OddFunctionTest extends FormulaTestBase
{
  public void testDefault() throws Exception
  {
    runDefaultTest();
  }

  public Object[][] createDataTest()
  {
    return new Object[][]
        {
            {"ODD(5)", new BigDecimal(5)},
            {"ODD(-5)", new BigDecimal(-5)},
            {"ODD(2)", new BigDecimal(3)},
            {"ODD(0.3)", new BigDecimal(1)},
            {"ODD(-2)", new BigDecimal(-3)},
            {"ODD(-0.3)", new BigDecimal(-1)},
            {"ODD(0)", new BigDecimal(1)},

            {"ODD(0.0)", new BigDecimal(1)},
            {"ODD(0.05)", new BigDecimal(1)},
            {"ODD(0.95)", new BigDecimal(1)},
            {"ODD(1.0)", new BigDecimal(1)},
            {"ODD(1.05)", new BigDecimal(3)},
            {"ODD(1.9)", new BigDecimal(3)},
            {"ODD(2.0)", new BigDecimal(3)},
            {"ODD(2.05)", new BigDecimal(3)},
            {"ODD(2.95)", new BigDecimal(3)},
            {"ODD(3.0)", new BigDecimal(3)},
            {"ODD(3.05)", new BigDecimal(5)},
            {"ODD(-0.05)", new BigDecimal(-1)},
            {"ODD(-0.95)", new BigDecimal(-1)},
            {"ODD(-1.0)", new BigDecimal(-1)},
            {"ODD(-1.05)", new BigDecimal(-3)},
            {"ODD(-1.9)", new BigDecimal(-3)},
            {"ODD(-2.0)", new BigDecimal(-3)},
            {"ODD(-2.05)", new BigDecimal(-3)},
            {"ODD(-2.95)", new BigDecimal(-3)},
            {"ODD(-3.0)", new BigDecimal(-3)},
            {"ODD(-3.05)", new BigDecimal(-5)},
        };
  }
}
